%global srcname Deprecated
%global pkgname deprecated

Name:           python-%{pkgname}
Version:        1.2.13
Release:        1
Summary:        Python decorator to deprecate old python classes, functions or methods
License:        MIT
URL:            https://github.com/tantale/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/D/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Python @deprecated decorator to deprecate old python classes, functions or
methods.}

%description %{_description}

%package -n python3-%{pkgname}
Summary:        %{summary}
%description -n python3-%{pkgname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}
rm -rf %{pkgname}.egg-info

%build
%py3_build

%install
%py3_install


%files -n python3-%{pkgname}
%license LICENSE.rst
%doc README.md
%{python3_sitelib}/%{pkgname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Fri Jul 01 2022 wangkai <wangkai385@h-partners.com> - 1.2.13-1
- Package init
